import 'package:ocg_user/ocg_user.dart';

abstract class LoginState {}

class LoginIdleState extends LoginState {}

class LoginLoadingState extends LoginState {
  final String message;

  LoginLoadingState({this.message});
}

class LoginNotCompleteState extends LoginState {}

class LoginExistState extends LoginState {
  final User user;

  LoginExistState(this.user);
}

class LoginNotExistState extends LoginState {
  LoginNotExistState();
}

class LoginErrorState extends LoginState {
  final String error;

  LoginErrorState(this.error);
}
