import 'package:ocg_app/ocg_app.dart';
import 'package:ocg_login/ocg_login.dart';

class LoginTokenRepository extends TokenRepository {
  final LoginDatabase loginDatabase;

  LoginTokenRepository(this.loginDatabase);
  @override
  Future<AppResponse<AppToken>> getToken() async {
    if (!loginDatabase.isOpened) {
      await loginDatabase.open();
    }
    return await loginDatabase.getToken();
  }

  @override
  Future<AppResponse<bool>> saveToken(AppToken appToken) async {
    if (!loginDatabase.isOpened) {
      await loginDatabase.open();
    }
    return await loginDatabase.saveToken(appToken);
  }
}
